package org.jboss.cache.pojo.demo;

import org.jboss.cache.Cache;
import org.jboss.cache.demo.CacheModelDelegate;
import org.jboss.cache.pojo.PojoCache;

/**
 * Model delegate implementation for JBossCache demo
 *
 * @author <a href="mailto:galder.zamarreno@jboss.com">Galder Zamarreno</a>
 */
public class PojoCacheModelDelegate implements CacheModelDelegate
{
   private PojoCache pojoCache;

   public void setCacheShellVariable(Object cache)
   {
      pojoCache = (PojoCache)cache;
   }

   public Object getCacheShellVariable()
   {
      return pojoCache;
   }

   public Cache getGenericCache()
   {
      return pojoCache.getCache();
   }
}
